Bug 456869 - X fails to run on Powerbook G4
X fails to run on Powerbook G4
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-fbdev (Show other bugs)
9
powerpc Linux
low Severity urgent
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-28 05:58 EDT by Nigel Horne
Modified: 2008-09-24 20:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 20:21:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log File (13.40 KB, text/plain)
2008-07-28 05:58 EDT, Nigel Horne
no flags Details
Log file after removing xorg.conf and rebooting (24.08 KB, text/plain)
2008-07-28 12:52 EDT, Nigel Horne
no flags Details
Log with xorg-x11-drv-ati-6.8.0-19.fc9.ppc.rpm and no xorg.conf (33.01 KB, text/plain)
2008-08-01 06:22 EDT, Nigel Horne
no flags Details

  None (edit)
Description Nigel Horne 2008-07-28 05:58:47 EDT
Description of problem:

X doesn't start. Looking though the log first it finds the card and
gets some data off it, then it claims it can't find the card

Version-Release number of selected component (if applicable):
xorg-x11-drivers-7.3-4.fc9.ppc


How reproducible:
100%


Steps to Reproduce:
1. Install Linux
2. Start Linux
3. Note that X doesn't start
  
Actual results:
X doesn't start

Expected results:
SHould start.

Additional info:
Linux was fine up to and including FC7. The original FC8 was also fine, but
somewhere along the line a bug was introduced during and FC8 "yum upgrade" which
remains unfixed inFC9.
Comment 1 Nigel Horne 2008-07-28 05:58:47 EDT
Created attachment 312760 [details]
Log File
Comment 2 Matěj Cepl 2008-07-28 11:30:42 EDT
Could you try to remove (or rename) /etc/X11/xorg.conf and restart Xorg? What
logs does it give?
Comment 3 Nigel Horne 2008-07-28 12:51:45 EDT
I removed xorg.conf and rebooted the machine. Attached is the logfile from that.
Comment 4 Nigel Horne 2008-07-28 12:52:27 EDT
Created attachment 312793 [details]
Log file after removing xorg.conf and rebooting
Comment 5 Matěj Cepl 2008-07-28 16:31:33 EDT
Lovely:

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x94) [0x100824b4]
1: [0x100364]
2: [0xc]
3: /usr/bin/Xorg(xf86InitialConfiguration+0x10d4) [0x100b5954]
4: /usr/lib/xorg/modules/drivers//radeon_drv.so(RADEONPreInit+0xd84) [0xf4dc244]
5: /usr/bin/Xorg(InitOutput+0xa90) [0x100664f0]
6: /usr/bin/Xorg(main+0x288) [0x100223e8]
7: /lib/libc.so.6 [0xf8a98f0]
8: /lib/libc.so.6 [0xf8a9ab0]

(note, however, that this was originally about FBDEV driver).
Comment 6 Fedora Update System 2008-07-29 23:03:03 EDT
xorg-x11-drv-ati-6.8.0-19.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-07-31 21:49:32 EDT
xorg-x11-drv-ati-6.8.0-19.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-ati'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6953
Comment 8 Nigel Horne 2008-08-01 06:21:47 EDT
I installed the update, removed xorg.conf and rebooted.

The display didn't work. It's impossible to describe in words what the display
did, it went all funny colours and seem to keep on reinitialising.

I will attach the Xorg.0.log from that
Comment 9 Nigel Horne 2008-08-01 06:22:56 EDT
Created attachment 313180 [details]
Log with xorg-x11-drv-ati-6.8.0-19.fc9.ppc.rpm and no xorg.conf
Comment 10 Fedora Update System 2008-09-24 20:21:11 EDT
xorg-x11-drv-ati-6.8.0-19.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.